aoxdeliver(8)

NAME
aoxdeliver - deliver mail into Archiveopteryx.

SYNOPSIS
/usr/local/bin/aoxdeliver [-f sender] [-t mailbox] [-v] destination [filename]

DESCRIPTION

The aoxdeliver program injects a single mail message in RFC-822 format into Archiveopteryx. It connects to Archiveopteryx's backend database and injects the message into the correct mailbox.

aoxdeliver is meant as a compatibility shim for use with e.g. formail(1) and with MTAs that want to deliver to a program. Note that you will generally get better performance by using LMTP.

aoxdeliver bypasses Sieve and always stores mail directly into the target mailbox.

OPTIONS

-f sender
    specifies the fully qualified address of the message sender. This is the same as the SMTP envelope sender.

    Starting with version 2.01, the -f argument is ignored. It is still accepted to keep old scripts working.

-t mailbox
    directs aoxdeliver to store the message into the named mailbox. The "p" right on the mailbox must be granted to "anyone". ("p" controls who is permitted to send mail to the mailbox, see RFC 4314 for more details.)

-v  requests more verbosity during delivery. May be specified twice.

EXAMPLES
To deliver an entire berkeley mbox into the inbox of user nirmala@example.com:

    formail -s aoxdeliver nirmala@example.com < mbox

To deliver each message in the MH folder +blah into the inbox of user raj@example.net:

    folder +blah
    seq all | xargs -n1 aoxdeliver raj@example.net

To deliver each message in the MH folder +ramble into folder stumble of user raj@example.net:

    folder +blah
    seq all | xargs -n1 aoxdeliver -t stumble raj@example.net

If raj has not granted "anyone" the "p" right ("p"ost mail to mailbox), this example fails.

DIAGNOSTICS
The normal exit status of aoxdeliver is 0. In case of errors, aoxdeliver returns an error code from sysexits.h, such as EX_TEMPFAIL, EX_NOUSER, etc.

BUGS
Delivering multiple messages would also be good, for those big mailbox migrations. In that case, aoxdeliver should report which messages could be delivered and which could not.

There is no command-line option to set the configuration file.

AUTHOR
The Archiveopteryx Developers, info@aox.org.

VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02, http://archiveopteryx.org/3.1.3

SEE ALSO
archiveopteryx(8), archiveopteryx.conf(5), logd(8), http://archiveopteryx.org